# The CairoSolidPattern class

(PECL cairo >= 0.1.0)

## Introduction

## Class synopsis

CairoSolidPattern extends CairoPattern {
/* Methods */
public __construct ( float `$red` , float `$green` , float `$blue` [, float `$alpha` = 0 ] )
public getRgba ( void ) : array
/* Inherited methods */
public CairoPattern::__construct ( void )
public CairoPattern::getMatrix ( void ) : void
public CairoPattern::getType ( void ) : int
public CairoPattern::setMatrix ( CairoMatrix `$matrix` ) : void
public CairoPattern::status ( void ) : int
}

## Table of Contents

- CairoSolidPattern::__construct — The __construct purpose
- CairoSolidPattern::getRgba — The getRgba purpose